#include	"Samp_Main.h"
#include	"Samp_Play.h"
#include 	"Samp_Lib.h"

UINT 	MediPlay_minute;
UINT 	MediPlay_sec;
UINT 	MediPlay_frame;
UINT 	MediPlay_pttno;
UINT 	MediPlay_speed;
UINT 	Samp_time_min;
UINT 	Samp_time_sec;
UINT 	Samp_time_frm;
UINT 	DriveSts_formattype;

UINT	GlobalTsttime_stc;
UINT	GlobalTstnow_mode;
UINT 	GlobalTstend_mode;
UINT 	GlobalTststart_tno;
UINT 	GlobalTstend_tno;
UINT 	GlobalTstplus_tekey;
UINT 	Samp_da_pause_req;
UINT 	GlobalTstchnum;

void SampleInitGValid(void)
{

	/* RgP */
	GlobalTsttime_stc = 0;

	/* RgP */
	GlobalTstnow_mode = 0;
	GlobalTstend_mode = 0;

	/* RgP */
	GlobalTststart_tno = 0;
	GlobalTstend_tno = 0;

	/* RgP */
	GlobalTstplus_tekey = 0;
	Samp_da_pause_req = 0;

	GlobalTstchnum = 0;

}

void SampleAudioInfoUpdate(void)
{
	ReqAudio = 1;	/* RgP */
}

void SampleSPInfoUpdate(void)
{
	ifsts.bit.ReqSP = 1;	/* RgP */

}

void SampleDriveInfoUpdate(void)
{
	ifsts.bit.ReqDriveSts = 1;	/* RgP */
}

void SamDcdDriveInfoUpdate(void)
{
	ifsts.bit.ReqDriveSts = 1;		/* RgP */
}

void SamplePlayInfoUpdate(SYSTEMMODE sysmod)
{
	ifsts.bit.ReqMediPlay = 1;		/* RgP */

	MediPlay.systemmode = sysmod;

	switch(sysmod){

		/* RgP */
		case	STOP	:
			if(GlobalTstend_tno){
				MediPlay_pttno = GlobalTstend_tno;
			}else{
				MediPlay_pttno = GlobalTstend_tno;
			}
			break;

		case	STOPACCESS	:
			MediPlay_pttno = GlobalTstend_tno;
			break;

		/* RgP */
		case	PLAY_ACCESS	:
			if(DriveSts_formattype == FORMATTYPE_VCD){
				MediPlay_pttno = sprm[TRACK_TNO]-1;
			}else{
				MediPlay_pttno = sprm[TRACK_TNO];
			}
			MediPlay_speed = SPEED_NORMAL;
			break;

		case	PLAY	:
			MediPlay_minute = Samp_time_min;				/* */
			MediPlay_sec = Samp_time_sec;				/* */
			MediPlay_frame = Samp_time_frm;				/* */
			if(DriveSts_formattype == FORMATTYPE_VCD){
				MediPlay_pttno = sprm[TRACK_TNO]-1;
			}else{
				MediPlay_pttno = sprm[TRACK_TNO];
			}
			MediPlay_speed = SPEED_NORMAL;

			break;

		/* RgP */
		case	FWDSEARCHACCESS:
		case	BWDSEARCHACCESS:
			MediPlay_speed = SampleIfSpeedSet(Samp_play_speed);
			break;

		case	FWDSEARCH	:
			MediPlay_minute = Samp_time_min;				/* RgP*/
			MediPlay_sec = Samp_time_sec;				/* RgP*/
			MediPlay_frame = Samp_time_frm;				/* RgP*/
			if(DriveSts_formattype == FORMATTYPE_VCD){
				MediPlay_pttno = sprm[TRACK_TNO]-1;
			}else{
				MediPlay_pttno = sprm[TRACK_TNO];
			}
			MediPlay_speed = SampleIfSpeedSet(Samp_play_speed);
			break;

		case	BWDSEARCH	:
			if( (Samp_time_sec <= Samp_time_sec_old) || (Samp_time_sec_old == 0) ){
				MediPlay_minute = Samp_time_min;				/* RgP*/
				MediPlay_sec = Samp_time_sec;				/* RgP*/
				MediPlay_frame = Samp_time_frm;				/* RgP*/
				Samp_time_sec_old = Samp_time_sec_old;
			}
			if(DriveSts_formattype == FORMATTYPE_VCD){
				MediPlay_pttno = sprm[TRACK_TNO]-1;
			}else{
				MediPlay_pttno = sprm[TRACK_TNO];
			}
			MediPlay_speed = SampleIfSpeedSet(Samp_play_speed);
			break;

		/* RgP */
		case	PAUSEACCESS	:
			MediPlay_speed = SPEED_NORMAL;
			if(DriveSts_formattype == FORMATTYPE_VCD){
				MediPlay_pttno = sprm[TRACK_TNO]-1;
			}else{
				MediPlay_pttno = sprm[TRACK_TNO];
			}
			break;

		/*---------------------/
	   	    RgP
		/---------------------*/
		default 	:
			break;
	}

	/* RgP */
	MediPlay.pol = POL_PLUS;		
	MediPlay.titleno = 0;			
	MediPlay.indexnumber = 0;		
	MediPlay.pgctype = ONE_SEQ_PGC;	
	MediPlay.reserved1 = 0;			
	MediPlay.aps = APS_OFF;			
	MediPlay.hour = 0;				
	MediPlay.reserved2 = 0;			

}

void SampleDispTimeInit(UC1 min,UC1 sec, UC1 frm)
{
	MediPlay.hour = 0;			/* RgP */
	MediPlay_minute = 0;		/* RgP */
	MediPlay_sec = 0;			/* RgP */
	MediPlay_frame = 0;			/* RgP */

	Samp_time_sec = 0;
	Samp_time_min = 0;
	Samp_time_frm = 0;
}

UC1	SampleIfSpeedSet(USHORT speed)
{
	UC1	UI_speed;/* RgP */

	switch(speed){/* RgP */
		case PSPEED_FAST1:/* RgP */
		case PSPEED_FAST_REV1:/* RgP */
		default:/* RgP */
			UI_speed = SPEED_NORMAL;/* RgP */
			break;/* RgP */
	}
	return(UI_speed);/* RgP */
}

